@import "../../../../../styles/variables.scss";
@import "../../../../../styles/mixins.scss";

.owner {
    @include flex(row, space-between, center);
    &-info {
        display: flex;
        flex-basis: 60%;

        &__form {
            width: 100%;
        }
    }

    &-passport {
        flex-basis: 30%;
        &__avatar {
            width: 80px;
            height: 80px;
            border: 2px solid #5497d1;
            border-radius: 100%;
            padding: 16px 12px 14px 14px;
            margin: 12px 0;

            &--initials {
                font-size: 32px;
                color: #626262;
            }
        }

        &__container {
            @include flex(row, initial, flex-start);
            &--labels {
                &--label {
                    font-size: 18px;
                    font-weight: 700;
                    margin-bottom: 10px;
                    line-height: 1.5;
                }
            }

            &--content {
                margin-left: 20px;
                display: flex;
                flex-direction: column;
                flex-basis: 60%;
                &--info {
                    font-size: 18px;
                    font-weight: 500;
                    margin-bottom: 10px;
                    line-height: 1.5;
                    white-space: nowrap;
                    overflow: hidden;
                    text-overflow: ellipsis;
                    width: 250px;
                }
            }
        }

        &__drop {
            margin-top: 15px;
        }
    }
}
